Next: csqrt, Previous: csin, Up: Complex [Contents][Index]

### 2.20 `csinh`, `csinhf`—complex hyperbolic sine

Synopsis

    #include <complex.h>
    double complex csinh(double complex z);
    float complex csinhf(float complex z);

Description
These functions compute the complex hyperbolic sine of z.

`ccoshf` is identical to `ccosh`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex hyperbolic sine value.

Portability
`csinh` and `csinhf` are ISO C99